# Enum AxisOpt

java.lang.Object
java.lang.Enum<AxisOpt>
uk.ac.starlink.ttools.plot2.layer.AxisOpt

All Implemented Interfaces:
  `Serializable, Comparable<AxisOpt>, java.lang.constant.Constable`

public enum AxisOpt extends Enum<AxisOpt>
Represents one of the available plot axes.

Since:
  18 Jun 2018
Author:
  Mark Taylor

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`TIME`
`X`
`Y`

## Method Summary

Modifier and Type
Method
Description
`static AxisOpt`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static AxisOpt[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### X

public static final AxisOpt X

### Y

public static final AxisOpt Y

### TIME

public static final AxisOpt TIME

## Method Details

### values

public static AxisOpt[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static AxisOpt valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null